### Method

# ECal ComponentPropertyBag set_from_component

since: 3.34

#### Declaration [src]

    void
    e_cal_component_property_bag_set_from_component (
      ECalComponentPropertyBag* bag,
      const ICalComponent* component,
      ECalComponentPropertyBagFilterFunc func,
      gpointer user_data
    )

#### Description [src]

Fills the `bag` with properties from the `component`, for which the `func` returned `TRUE`. When the `func` is `NULL`, all the properties are included. The `bag` content is cleared before any property is added.

Available since: 3.34

#### Parameters

`component`

  Type: `None`

  An `ICalComponent` containing the properties to fill the `bag` with.

  The data is owned by the caller of the method.

`func`

  Type: `ECalComponentPropertyBagFilterFunc`

  An optional %ECalComponentPropertyBagFilterFunc callback.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for the `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.